View Issue Details

IDProjectCategoryView StatusLast Update
0000438WishesFilterspublic2008-06-28 17:26
ReporteralexmitinAssigned Toalexy 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.80 
Target VersionFixed in Version1.71 
Summary0000438: Allow the user to assign shortcuts to the the file filters
DescriptionFile filters (Ctrl+I).

FAR should allow the user to assign a shortcut key to a filter.

Some filters are used more frequently than the others. This feature will allow to speed up the keyboard navigation in the filters list.
Additional InformationFAR 1.80.0.391
TagsNo tags attached.
Build2400

Activities

samlyukov

2007-12-15 06:29

reporter   bugnote:0001045

Не плохо было бы... потребует изменений в классе VMenu.
 
Кстати, не плохо было бы сразу уж сделать и Быстрый поиск в списках, лучшая реализация которую я видел - в Варповском Underscore.

vskirdin

2007-12-18 06:15

administrator   bugnote:0001049

> потребует изменений в классе VMenu
Зачем топором карандаш затачиваешь?
В FileFilter::FilterEdit() при конструировании меню достаточно добавить VMENU_AUTOHIGHLIGHT.
Править класс нужно только для быстрого поиска.

samlyukov

2007-12-18 09:49

reporter   bugnote:0001050

Мне кажется, что все меню должны выглядеть как меню из "Plugin commands".

vskirdin

2008-03-15 04:13

administrator   bugnote:0001326

> Мне кажется, что все меню должны выглядеть как меню из "Plugin commands".
ну не факт.
Класс VMenu - это базис для разных списков/меню. Они могут (и должны) выглядить по разному.

alexy

2008-06-28 17:26

administrator   bugnote:0001652

Done in 1.71 build 2400, you can assign hotkeys using & character in filter name. Will be in 1.80 when I port the code from 1.71.

Issue History

Date Modified Username Field Change
2007-12-14 23:37 alexmitin New Issue
2007-12-15 06:29 samlyukov Note Added: 0001045
2007-12-18 06:15 vskirdin Note Added: 0001049
2007-12-18 09:49 samlyukov Note Added: 0001050
2008-03-15 04:13 vskirdin Note Added: 0001326
2008-06-28 17:22 alexy Status new => assigned
2008-06-28 17:22 alexy Assigned To => alexy
2008-06-28 17:26 alexy Build => 2400
2008-06-28 17:26 alexy Status assigned => closed
2008-06-28 17:26 alexy Note Added: 0001652
2008-06-28 17:26 alexy Resolution open => fixed
2008-06-28 17:26 alexy Fixed in Version => 1.71